## scm 4e6

=== Makefile ===
# Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996 Free Software Foundation, Inc.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this software; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
# As a special exception, the Free Software Foundation gives permission
# for additional uses of the text contained in its release of GUILE.
#
# The exception is that, if you link the GUILE library with other files
# to produce an executable, this does not by itself cause the
# resulting executable to be covered by the GNU General Public License.
# Your use of that executable is in no way restricted on account of
# linking the GUILE library code into it.
#
# This exception does not however invalidate any other reasons why
# the executable file might be covered by the GNU General Public License.
#
# This exception applies only to the code released by the
# Free Software Foundation under the name GUILE.  If you copy
# code from other Free Software Foundation releases into a copy of
# GUILE, as the General Public License permits, the exception does
# not apply to the code that you add in this way.  To avoid misleading
# anyone as to the status of such modified files, you must delete
# this exception notice from them.
#
# If you write modifications of your own for GUILE, it is your choice
# whether to permit this exception to apply to your modifications.
# If you do not wish that, delete this exception notice.  

# "Makefile" for scm4e6 Scheme Interpreter
# Author: Aubrey Jaffer

SHELL = /bin/sh
#CC =
CFLAGS = #-g
#LIBS =
LD = $(CC) #-g

# directory where COPYING and Init.scm reside.
#IMPLPATH = /usr/local/src/scm/
#this one is good for bootstrapping
IMPLPATH = `pwd`/
# Pathname where Init.scm resides.
IMPLINIT = $(IMPLPATH)Init.scm
DFLAG = -DIMPLINIT=\"$(IMPLINIT)\"

# If pathname where Init.scm resides is not known in advance then
# SCM_INIT_PATH is the environment variable whose value is the
# pathname where Init.scm resides.

intro:
	@echo
	@echo "This is scm$(VERSION).  Read \"scm.info\" (from \"scm.texi\")"
	@echo "to learn how to build and install SCM."
	@echo "Here is a quick guide:"
	@echo
	@echo "  From: bos@scrg.cs.tcd.ie"
	@echo "  Build and install scripts using GNU autoconf are"
	@echo "  available as scmconfig.tar.gz in the SCM distribution"
	@echo "  directories.  See README.unix in scmconfig.tar.gz for"
	@echo "  further instructions."
	@echo
	@echo "  Alternatively:"
	@echo "      make scmlit"
	@echo
	@echo "  If you are on a non-unix system, create an empty file"
	@echo "  \"scmflags.h\".  Then compile time.c, repl.c, scl.c,"
	@echo "  sys.c, eval.c, subr.c, unif.c, and rope.c.  Then link"
	@echo "  them to create a \"scmlit\" executable."
	@echo
	@echo "  Once you have built scmlit successfully, test it:"
	@echo "      make checklit"
	@echo "  If this reports no errors, use scmlit to build.scm"
	@echo "  fancier versions of scm, with optional features."

ofiles = time.o repl.o scl.o sys.o eval.o subr.o unif.o rope.o \
	continue.o findexec.o
# ramap.o

all:	scmlit
scmlit:	$(ofiles) scm.o
	$(LD) -o scmlit $(ofiles) scm.o $(LIBS)
scm.o:	scm.c scm.h scmfig.h patchlvl.h scmflags.h
	$(CC) $(CFLAGS) -c $(DFLAG) scm.c
scmflags.h:	scmflags
scmflags:
	echo "#ifndef IMPLINIT" > scmflags.h
	echo "#define IMPLINIT \"$(IMPLINIT)\"" >> scmflags.h
	echo "#endif" >> scmflags.h

.c.o:
	$(CC) -c $(CFLAGS) $< -o $@
scl.o:	scl.c scm.h scmfig.h scmflags.h
eval.o:	eval.c scm.h scmfig.h scmflags.h setjump.h
unif.o:	unif.c scm.h scmfig.h scmflags.h
#ramap.o:	ramap.c scm.h scmfig.h scmflags.h
repl.o:	repl.c scm.h scmfig.h scmflags.h setjump.h
sys.o:	sys.c scm.h scmfig.h scmflags.h setjump.h
time.o:	time.c scm.h scmfig.h scmflags.h
subr.o:	subr.c scm.h scmfig.h scmflags.h
rope.o:	rope.c scm.h scmfig.h scmflags.h
continue.o:	continue.c continue.h setjump.h
	$(CC) $(CFLAGS) -c continue.c

srcdir=$(HOME)/scm/

udscm:
	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
	engineering-notation dump dynamic-linking -o udscm

myscm:	udscm $(ifiles)
	./udscm -o scm
mylib:
	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
	engineering-notation dump dynamic-linking -tlib
pgscm:
	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
	engineering-notation dump dynamic-linking -o udscm \
	 --compiler-options=-pg --linker-options=-pg
	./udscm -o pgscm
mydebug:
	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
	engineering-notation dump dynamic-linking debug -ogdbscm \
	 --compiler-options=-Wall --linker-options=-Wall
mydlls:
	$(srcdir)build.scm -h system -t dll -c sc2.c rgx.c crs.c edline.c \
		record.c gsubr.c ioext.c posix.c unix.c socket.c \
		ramap.c
myturtle:
	$(srcdir)build.scm -h system -F turtlegr -t dll

checklit:	r4rstest.scm
	./scmlit -fr4rstest.scm -e'(test-sc4)(test-cont)(test-delay)(gc)'
check:	r4rstest.scm
	./scm -fr4rstest.scm -e'(test-sc4)(test-cont)(test-delay)(gc)'
bench:
	echo `whoami`@`hostname` testing scm >> BenchLog
	echo  on `date` >> BenchLog
	ls -l scm >> BenchLog
	size scm >> BenchLog
	uname -a >> BenchLog
	./scm -lbench.scm
	cat bench.log >> BenchLog
	echo >> BenchLog
	echo
	tail -20 BenchLog
benchlit:
	echo `whoami`@`hostname` testing scmlit >> BenchLog
	echo  on `date` >> BenchLog
	ls -l scmlit >> BenchLog
	size scmlit >> BenchLog
	uname -a >> BenchLog
	./scmlit -lbench.scm
	cat bench.log >> BenchLog
	echo >> BenchLog
	echo
	tail -20 BenchLog

dvidir=../dvi/
dvi:	$(dvidir)scm.dvi
$(dvidir)scm.dvi:	$(srcdir)scm.texi $(dvidir)scm.fn Makefile
#	cd $(dvidir);texi2dvi $(srcdir)scm.texi
	-(cd $(dvidir);export set TEXINPUTS=$(srcdir):$$TEXINPUTS;texindex scm.??)
	cd $(dvidir);export set TEXINPUTS=$(srcdir):$$TEXINPUTS;tex $(srcdir)scm.texi
$(dvidir)scm.fn:
	cd $(dvidir);tex $(srcdir)scm.texi
xdvi:	$(dvidir)scm.dvi
	xdvi -s 3 $(dvidir)scm.dvi
htmldir=../public_html/
html:	$(htmldir)scm_toc.html
$(htmldir)scm_toc.html:	$(srcdir)scm.texi
	cd $(htmldir);make scm_toc.html

################ INSTALL DEFINITIONS ################

prefix = /usr/local/
exec_prefix = $(prefix)/
# directory where `make install' will put executable.
bindir = $(exec_prefix)bin/
libdir = $(exec_prefix)lib/
# directory where `make install' will put manual page.
man1dir = $(prefix)man/man1/
infodir = $(prefix)info/
includedir = $(prefix)include/

info:	$(infodir)/scm.info
$(infodir)/scm.info:	scm.texi
	makeinfo scm.texi -o $(infodir)/scm.info

infoz:	$(infodir)/scm.info.gz
$(infodir)/scm.info.gz:	$(infodir)/scm.info
	-rm $(infodir)/scm.info*.gz
	gzip $(infodir)/scm.info*

install:	scm.1
	test -d $(bindir) || mkdir $(bindir)
	test -d $(man1dir) || mkdir $(man1dir)
	-cp scm $(bindir)
	-strip $(bindir)scm
	-cp scm.1 $(man1dir)
	test -d $(IMPLPATH) || mkdir $(IMPLPATH)
	-cp Init.scm $(IMPLPATH)
	-cp Link.scm $(IMPLPATH)
	-cp Transcen.scm $(IMPLPATH)
	-cp COPYING $(IMPLPATH)

installlib:
	test -d $(includedir) || mkdir $(includedir)
	cp scm.h $(includedir)scm.h
	cp scmfig.h $(includedir)scmfig.h
	test -d $(libdir) || mkdir $(libdir)
	cp libscm.a $(libdir)libscm.a

uninstall:
	-rm $(bindir)scm
	-rm $(man1dir)scm.1
	-rm $(includedir)scm.h
	-rm $(includedir)scmfig.h
	-rm $(libdir)libscm.a
#	-rm $(IMPLPATH)Init.scm
#	-cp $(IMPLPATH)Link.scm
#	-rm $(IMPLPATH)Transcen.scm
#	-rm $(IMPLPATH)COPYING

scm.doc:	scm.1
	nroff -man $< | ul -tunknown >$@

#### Stuff for maintaining SCM below ####

VERSION = 4e6
ver = $(VERSION)
RM_R = rm -rf
cfiles = scm.c time.c repl.c ioext.c scl.c sys.c eval.c subr.c sc2.c \
	unif.c rgx.c crs.c dynl.c record.c posix.c socket.c unix.c \
	rope.c ramap.c gsubr.c edline.c Iedline.scm continue.c \
	findexec.c
ufiles = pre-crt0.c ecrt0.c gmalloc.c unexec.c unexelf.c
confiles = scmconfig.h.in mkinstalldirs acconfig-1.5.h install-sh \
	configure configure.in Makefile.in COPYING README.unix

hfiles = scm.h scmfig.h setjump.h patchlvl.h continue.h
ifiles = Init.scm Transcen.scm Link.scm
tfiles = r4rstest.scm example.scm pi.scm pi.c split.scm bench.scm
dfiles = ANNOUNCE README COPYING scm.1 scm.doc QUICKREF \
	scm.texi ChangeLog 
mfiles = Makefile build.scm build.bat
vfiles = setjump.mar setjump.s
afiles = $(dfiles) $(cfiles) $(hfiles) $(ifiles) $(tfiles) $(mfiles) \
	$(vfiles) $(ufiles)

makedev = make -f $(HOME)/makefile.dev
CHPAT=$(HOME)/bin/chpat
dest = $(HOME)/dist/
temp/scm:	$(afiles)
	-$(RM_R) temp
	mkdir temp
	mkdir temp/scm
	ln $(afiles) temp/scm

dist:	$(dest)scm$(VERSION).tar.gz
$(dest)scm$(VERSION).tar.gz:	temp/scm
	$(makedev) DEST=$(dest) PROD=scm ver=$(VERSION) tar.gz
shar:	scm.shar
scm.shar:	temp/scm
	$(makedev) PROD=scm shar
dclshar:	scm.com
com:	scm.com
scm.com:	temp/scm
	$(makedev) PROD=scm com
zip:	scm.zip
scm.zip:	temp/scm
	$(makedev) PROD=scm zip
distzip:	scm$(VERSION).zip
scm$(VERSION).zip:	temp/scm turtle turtlegr.c grtest.scm require.scm
	$(makedev) DEST=$(dest) PROD=scm ver=$(VERSION) zip
	cd ..; zip -9ur $(dest)scm$(VERSION).zip \
		scm/turtle scm/turtlegr.c scm/grtest.scm scm/require.scm
	mv $(dest)scm$(VERSION).zip /c/scm/dist/
pubzip:	temp/scm
	$(makedev) DEST=$(HOME)/pub/ PROD=scm zip

diffs:	pubdiffs
pubdiffs:	temp/scm
	$(makedev) DEST=$(HOME)/pub/ PROD=scm pubdiffs
distdiffs:	temp/scm
	$(makedev) DEST=$(dest) PROD=scm ver=$(ver) distdiffs


HOBBITVERSION = 4d
hobfiles = README.hob hobbit.doc hobbit.tms hobbit.scm scmhob.h

hobtemp/scm:	$(hobfiles)
	-$(RM_R) hobtemp
	mkdir hobtemp
	mkdir hobtemp/scm
	ln $(hobfiles) hobtemp/scm

hobdist:	$(dest)hobbit$(HOBBITVERSION).tar.gz
$(dest)hobbit$(HOBBITVERSION).tar.gz:	hobtemp/scm
	$(makedev) DEST=$(dest) PROD=scm ver=-hob$(HOBBITVERSION) \
		tar.gz TEMP=hobtemp/
	mv $(dest)scm-hob$(HOBBITVERSION).tar.gz \
		$(dest)hobbit$(HOBBITVERSION).tar.gz
hobbit$(HOBBITVERSION).zip:	hobtemp/scm
	$(makedev) TEMP=hobtemp/ name=hobbit$(HOBBITVERSION) PROD=scm zip

new:
	$(CHPAT) scm$(VERSION) scm$(ver) ANNOUNCE ../jacal/ANNOUNCE \
		../wb/README ../wb/ANNOUNCE \
		../public_html/README.html ../dist/README \
		../public_html/SLIB.html ../public_html/JACAL.html \
		../public_html/SCM.html ../public_html/Hobbit.html \
		/c/scm/dist/install.bat /c/scm/dist/makefile \
		/c/scm/dist/mkdisk.bat
	$(CHPAT) $(VERSION) $(ver) README scm.texi patchlvl.h \
		Init.scm ../public_html/SCM.html Makefile

configtemp/scm:	$(confiles)
	-$(RM_R) configtemp/scm
	-mkdir configtemp
	mkdir configtemp/scm
	ln $(confiles) configtemp/scm
confdist:	scmconfig.tar.gz
scmconfig.tar.gz:	configtemp/scm
	cd configtemp; tar cohf ../scmconfig.tar scm
	chmod 664 scmconfig.tar
	-rm -f scmconfig.tar.*z
	gzip scmconfig.tar
	chmod 664 scmconfig.tar.*z

lint:	lints
lints:	$(cfiles) $(hfiles)
	lint $(CPPFLAGS) $(ALL_CFLAGS) $(cfiles) | tee lints
#	lint $(CPPFLAGS) $(ALL_CFLAGS) $(cfiles) | tee lintes

#seds to help find names not unique in first 8 characters (name8s)
# for BSD nm format
SED_TO_STRIP_NM=sed -e '/.*\.o$$/d' -e 's/.* _//' -e 's/.* T //'
#old, bad for T [^_] on suns: SED_TO_STRIP_NM=sed -e '/.*\.o$$/d' -e 's/.* _//'
# For a System V nm where plain C identifiers have _ prepended:
#SED_TO_STRIP_NM=sed -e '/^_[A-Za-z][A-za-z0-9_]*[ 	|].*|extern|!d' -e 's/|/ /g' -e 's/^_//'
# For a System V nm where plain C identifiers have nothing prepended:
#SED_TO_STRIP_NM=sed -e '/^[A-Za-z][A-za-z0-9_]*[ 	|].*|extern|!d' -e 's/|/ /g'

name8:	name8s
name8s:	scm
	nm scm |\
	$(SED_TO_STRIP_NM) |\
	sort -u|\
	awk '{	if (substr(l,1,8)==substr($$1,1,8)) {\
			if (p) print l;\
			print $$1;p=0;stat=1\
		}else p=1;\
		l=$$1\
	     }END{exit stat}' -
ctags:	$(hfiles) $(cfiles)

## scm 0.5.8-1

=== debian/changelog ===
scm (0.5.8-1) stable; urgency=low

  Fixed (large) icon.

 -- Tiboric <tiboric@aol.com>  Sun, 13 Feb 2011 01:59:08 +0000

=== debian/control ===
Source: scm
Section: user/desktop
Priority: extra
Maintainer: Tiboric <tiboric@aol.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: scm
Architecture: all
Depends: python2.5, python-osso, python-dbus, python2.5-gtk2, rootsh
Description: A GUI for making Contact Shortcuts for your Desktop
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

## scm 0.5.9-1

=== changelog ===
scm (0.5.9-1) stable; urgency=low

  Added delete function.

 -- Tiboric <Tiboric@aol.com>  Sun, 13 Feb 2011 23:00:10 +0000

## scm 0.6.0-3

=== .py2deb_build_folder/scm/debian/changelog ===
scm (0.6.0-2) stable; urgency=low

  Added delete function, cmd experiment cmd funtion .

 -- Tiboric <Tiboric@aol.com>  Mon, 14 Feb 2011 19:12:46 +0000

=== changelog ===
scm (0.6.0-3) stable; urgency=low

  Fixed bug with startup.

 -- Tiboric <Tiboric@aol.com>  Tue, 15 Feb 2011 21:35:50 +0000

=== control ===
Source: scm
Section: user/desktop
Priority: extra
Maintainer: Tiboric <Tiboric@aol.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: scm
Architecture: all
Depends: python2.5, python-osso, python-dbus, python2.5-gtk2, rootsh
Description: A GUI for making Contact Shortcuts for your Desktop
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

## scm 0.7.1-1

=== changelog ===
scm (0.7.1-1) stable; urgency=low

  added simple icon chooser

 -- Tiboric <Tiboric@aol.com>  Wed, 23 Feb 2011 17:56:47 +0000

## scm 0.8.0-2

=== changelog ===
scm (0.8.0-2) stable; urgency=low

  Reworked UI, Added A Requested Feature

 -- Tiboric <Tiboric@aol.com>  Wed, 02 Mar 2011 11:08:04 +0000

## scm 0.8.0-4

=== debian/changelog ===
scm (0.8.0-4) stable; urgency=low

  Reworked UI, Added A Requested Feature

 -- Tiboric <Tiboric@aol.com>  Wed, 02 Mar 2011 21:44:41 +0000

## scm 0.8.1-1

=== debian/changelog ===
scm (0.8.1-1) stable; urgency=low

  Bug Fixes, And Icon Text now under Icon

 -- Tiboric <Tiboric@aol.com>  Fri, 11 Mar 2011 23:12:45 +0000

=== debian/control ===
Source: scm
Section: user/desktop
Priority: extra
Maintainer: Tiboric <Tiboric@aol.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: scm
Architecture: all
Depends: python2.5, python-osso, python-dbus, python2.5-gtk2, rootsh
Description: A GUI for making Shortcuts for your Desktop
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/scm" install
	mkdir -p "$(CURDIR)/debian/scm"

#	mkdir -p "$(CURDIR)/debian/scm//opt/shortcutmkr/"
	cp -a "src/opt/shortcutmkr/main.py" "$(CURDIR)/debian/scm//opt/shortcutmkr/main.py"
	mkdir -p "$(CURDIR)/debian/scm//opt/shortcutmkr/"
	cp -a "src/opt/shortcutmkr/shortcutmkr.py" "$(CURDIR)/debian/scm//opt/shortcutmkr/shortcutmkr.py"
	mkdir -p "$(CURDIR)/debian/scm//usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/shortcutmkr.desktop" "$(CURDIR)/debian/scm//usr/share/applications/hildon/shortcutmkr.desktop"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## scm 0.8.1-2

=== debian/changelog ===
scm (0.8.1-2) stable; urgency=low

  Bug Fixes, And Icon Text now under Icon, Fixed Startup problems?

 -- Tiboric <Tiboric@aol.com>  Sun, 13 Mar 2011 16:36:12 +0000

## scm 0.8.1-3

=== debian/changelog ===
scm (0.8.1-3) stable; urgency=low

  Bug Fixes, And Icon Text now under Icon, Fixed Startup problems?

 -- Tiboric <Tiboric@aol.com>  Sun, 13 Mar 2011 22:53:39 +0000

## scm 0.8.1-4

=== debian/changelog ===
scm (0.8.1-4) stable; urgency=low

  Bug Fixes, And Icon Text now under Icon, Fixed Startup problems?

 -- Tiboric <Tiboric@aol.com>  Mon, 14 Mar 2011 02:09:58 +0000

## scm 0.8.1-5

=== debian/changelog ===
scm (0.8.1-5) stable; urgency=low

  Bug Fixes, And Icon Text now under Icon, Fixed Startup problems?

 -- Tiboric <Tiboric@aol.com>  Mon, 14 Mar 2011 10:56:12 +0000

## scm 0.8.2-1

=== debian/changelog ===
scm (0.8.2-1) stable; urgency=low

  Added banner notifications

 -- Tiboric <Tiboric@aol.com>  Mon, 14 Mar 2011 18:55:32 +0000

## scm 0.8.2-2

=== debian/changelog ===
scm (0.8.2-2) stable; urgency=low

  Small UI Change

 -- Tiboric <Tiboric@aol.com>  Fri, 18 Mar 2011 20:24:35 +0000

## scm 0.8.2-3

=== debian/changelog ===
scm (0.8.2-3) stable; urgency=low

  Small UI Change

 -- Tiboric <Tiboric@aol.com>  Sat, 19 Mar 2011 16:04:14 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 
 Package: scm
 Architecture: all
-Depends: python2.5, python-osso, python-dbus, python2.5-gtk2, rootsh
+Depends: python2.5, python-osso, python-dbus, python2.5-qt4, python-imaging, rootsh
 Description: A GUI for making Shortcuts for your Desktop
 XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org

## scm 5b3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996 Free Software Foundation, Inc.
+# Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -38,14 +38,14 @@
 # whether to permit this exception to apply to your modifications.
 # If you do not wish that, delete this exception notice.  
 
-# "Makefile" for scm4e6 Scheme Interpreter
+# "Makefile" for scm5b3 Scheme Interpreter
 # Author: Aubrey Jaffer
 
 SHELL = /bin/sh
 #CC =
-CFLAGS = #-g
+CFLAGS = -g
 #LIBS =
-LD = $(CC) #-g
+LD = $(CC) -g
 
 # directory where COPYING and Init.scm reside.
 #IMPLPATH = /usr/local/src/scm/
@@ -84,9 +84,14 @@
 	@echo "  If this reports no errors, use scmlit to build.scm"
 	@echo "  fancier versions of scm, with optional features."
 
+cfiles = scm.c time.c repl.c ioext.c scl.c sys.c eval.c subr.c sc2.c \
+	unif.c rgx.c crs.c dynl.c record.c posix.c socket.c unix.c \
+	rope.c ramap.c gsubr.c edline.c Iedline.scm continue.c \
+	findexec.c script.c
 ofiles = time.o repl.o scl.o sys.o eval.o subr.o unif.o rope.o \
-	continue.o findexec.o
+	continue.o findexec.o script.o
 # ramap.o
+ifiles = Init.scm Transcen.scm Link.scm Macro.scm
 
 all:	scmlit
 scmlit:	$(ofiles) scm.o
@@ -95,9 +100,11 @@
 	$(CC) $(CFLAGS) -c $(DFLAG) scm.c
 scmflags.h:	scmflags
 scmflags:
-	echo "#ifndef IMPLINIT" > scmflags.h
-	echo "#define IMPLINIT \"$(IMPLINIT)\"" >> scmflags.h
-	echo "#endif" >> scmflags.h
+	echo "#ifndef IMPLINIT" > newflags.h
+	echo "#define IMPLINIT \"$(IMPLINIT)\"" >> newflags.h
+	echo "#endif" >> newflags.h
+	-if (diff newflags.h scmflags.h) then rm newflags.h; \
+		 else mv newflags.h scmflags.h; fi
 
 .c.o:
 	$(CC) -c $(CFLAGS) $< -o $@
@@ -110,17 +117,30 @@
 time.o:	time.c scm.h scmfig.h scmflags.h
 subr.o:	subr.c scm.h scmfig.h scmflags.h
 rope.o:	rope.c scm.h scmfig.h scmflags.h
-continue.o:	continue.c continue.h setjump.h
+continue.o:	continue.c continue.h setjump.h scmflags.h
 	$(CC) $(CFLAGS) -c continue.c
 
 srcdir=$(HOME)/scm/
 
-udscm:
-	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
-	engineering-notation dump dynamic-linking -o udscm
-
-myscm:	udscm $(ifiles)
-	./udscm -o scm
+udscm4:	$(cfiles) build.scm
+	$(srcdir)build.scm -hsystem -o udscm4 -Fcautious \
+	bignums arrays inexact engineering-notation dump dynamic-linking
+
+udscm5:	$(cfiles) build.scm
+	$(srcdir)build.scm -hsystem -o udscm5 -Fcautious \
+	bignums arrays inexact engineering-notation dump dynamic-linking \
+	macro
+
+myscm4:	udscm4 $(ifiles)
+	-rm slibcat implcat
+	-mv scm scm~
+	./udscm4 -o scm
+
+myscm:	udscm5 $(ifiles)
+	-rm slibcat implcat
+	-mv scm scm~
+	./udscm5 -r5 -o scm
+
 mylib:
 	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
 	engineering-notation dump dynamic-linking -tlib
@@ -130,9 +150,10 @@
 	 --compiler-options=-pg --linker-options=-pg
 	./udscm -o pgscm
 mydebug:
-	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
-	engineering-notation dump dynamic-linking debug -ogdbscm \
-	 --compiler-options=-Wall --linker-options=-Wall
+	$(srcdir)build.scm -hsystem -ogdbscm -F cautious \
+	 bignums arrays inexact engineering-notation dump dynamic-linking \
+	 macro \
+	 debug --compiler-options=-Wall --linker-options=-Wall #-DTEST_FARLOC
 mydlls:
 	$(srcdir)build.scm -h system -t dll -c sc2.c rgx.c crs.c edline.c \
 		record.c gsubr.c ioext.c posix.c unix.c socket.c \
@@ -140,12 +161,16 @@
 myturtle:
 	$(srcdir)build.scm -h system -F turtlegr -t dll
 
+implcat:	*.so mkimpcat.scm
+	./scmlit -lmkimpcat.scm
+
 checklit:	r4rstest.scm
 	./scmlit -fr4rstest.scm -e'(test-sc4)(test-cont)(test-delay)(gc)'
 check:	r4rstest.scm
 	./scm -fr4rstest.scm -e'(test-sc4)(test-cont)(test-delay)(gc)'
 bench:
-	echo `whoami`@`hostname` testing scm >> BenchLog
+	echo `whoami`@`hostname` testing scm \
+	 `scm -e'(display *scm-version*)'` >> BenchLog
 	echo  on `date` >> BenchLog
 	ls -l scm >> BenchLog
 	size scm >> BenchLog
@@ -156,7 +181,8 @@
 	echo
 	tail -20 BenchLog
 benchlit:
-	echo `whoami`@`hostname` testing scmlit >> BenchLog
+	echo `whoami`@`hostname` testing scmlit \
+	 `scmlit -e'(display *scm-version*)'` >> BenchLog
 	echo  on `date` >> BenchLog
 	ls -l scmlit >> BenchLog
 	size scmlit >> BenchLog
@@ -166,6 +192,9 @@
 	echo >> BenchLog
 	echo
 	tail -20 BenchLog
+report:
+	scmlit -e"(slib:report #t)"
+	scm -e"(slib:report #t)"
 
 dvidir=../dvi/
 dvi:	$(dvidir)scm.dvi
@@ -176,7 +205,7 @@
 $(dvidir)scm.fn:
 	cd $(dvidir);tex $(srcdir)scm.texi
 xdvi:	$(dvidir)scm.dvi
-	xdvi -s 3 $(dvidir)scm.dvi
+	xdvi -s 6 $(dvidir)scm.dvi
 htmldir=../public_html/
 html:	$(htmldir)scm_toc.html
 $(htmldir)scm_toc.html:	$(srcdir)scm.texi
@@ -185,7 +214,7 @@
 ################ INSTALL DEFINITIONS ################
 
 prefix = /usr/local/
-exec_prefix = $(prefix)/
+exec_prefix = $(prefix)
 # directory where `make install' will put executable.
 bindir = $(exec_prefix)bin/
 libdir = $(exec_prefix)lib/
@@ -197,11 +226,11 @@
 info:	$(infodir)/scm.info
 $(infodir)/scm.info:	scm.texi
 	makeinfo scm.texi -o $(infodir)/scm.info
+	-rm $(infodir)/scm.info*.gz
 
 infoz:	$(infodir)/scm.info.gz
 $(infodir)/scm.info.gz:	$(infodir)/scm.info
-	-rm $(infodir)/scm.info*.gz
-	gzip $(infodir)/scm.info*
+	gzip -f $(infodir)/scm.info*
 
 install:	scm.1
 	test -d $(bindir) || mkdir $(bindir)
@@ -229,7 +258,7 @@
 	-rm $(includedir)scmfig.h
 	-rm $(libdir)libscm.a
 #	-rm $(IMPLPATH)Init.scm
-#	-cp $(IMPLPATH)Link.scm
+#	-rm $(IMPLPATH)Link.scm
 #	-rm $(IMPLPATH)Transcen.scm
 #	-rm $(IMPLPATH)COPYING
 
@@ -238,23 +267,25 @@
 
 #### Stuff for maintaining SCM below ####
 
-VERSION = 4e6
+VERSION = 5b3
 ver = $(VERSION)
 RM_R = rm -rf
-cfiles = scm.c time.c repl.c ioext.c scl.c sys.c eval.c subr.c sc2.c \
-	unif.c rgx.c crs.c dynl.c record.c posix.c socket.c unix.c \
-	rope.c ramap.c gsubr.c edline.c Iedline.scm continue.c \
-	findexec.c
-ufiles = pre-crt0.c ecrt0.c gmalloc.c unexec.c unexelf.c
+ufiles = pre-crt0.c ecrt0.c gmalloc.c unexec.c unexelf.c unexhp9k800.c \
+	unexsunos4.c unexalpha.c
+
+#	cxux-crt0.s ecrt0.c gmalloc.c pre-crt0.c unexaix.c unexalpha.c \
+#	unexapollo.c unexconvex.c unexec.c unexelf.c unexelf1.c \
+#	unexencap.c unexenix.c unexfx2800.c unexhp9k800.c unexmips.c \
+#	unexnext.c unexnt.c unexsgi.c unexsni.c unexsunos4.c 
+
 confiles = scmconfig.h.in mkinstalldirs acconfig-1.5.h install-sh \
 	configure configure.in Makefile.in COPYING README.unix
 
 hfiles = scm.h scmfig.h setjump.h patchlvl.h continue.h
-ifiles = Init.scm Transcen.scm Link.scm
 tfiles = r4rstest.scm example.scm pi.scm pi.c split.scm bench.scm
 dfiles = ANNOUNCE README COPYING scm.1 scm.doc QUICKREF \
 	scm.texi ChangeLog 
-mfiles = Makefile build.scm build.bat
+mfiles = Makefile build.scm build.bat .gdbinit mkimpcat.scm
 vfiles = setjump.mar setjump.s
 afiles = $(dfiles) $(cfiles) $(hfiles) $(ifiles) $(tfiles) $(mfiles) \
 	$(vfiles) $(ufiles)
@@ -316,52 +347,21 @@
 	$(makedev) TEMP=hobtemp/ name=hobbit$(HOBBITVERSION) PROD=scm zip
 
 new:
+	echo `date` \ Aubrey Jaffer \ \<`whoami`@`hostname`\>> change
+	echo>> change
+	echo \	\* patchlvl.h \(SCMVERSION\): Bumped from $(VERSION) to $(ver).>>change
+	echo>> change
+	cat ChangeLog >> change
+	mv -f change ChangeLog
 	$(CHPAT) scm$(VERSION) scm$(ver) ANNOUNCE ../jacal/ANNOUNCE \
 		../wb/README ../wb/ANNOUNCE \
 		../public_html/README.html ../dist/README \
 		../public_html/SLIB.html ../public_html/JACAL.html \
 		../public_html/SCM.html ../public_html/Hobbit.html \
 		/c/scm/dist/install.bat /c/scm/dist/makefile \
-		/c/scm/dist/mkdisk.bat
-	$(CHPAT) $(VERSION) $(ver) README scm.texi patchlvl.h \
+		/c/scm/dist/mkdisk.bat README
+	$(CHPAT) $(VERSION) $(ver) scm.texi patchlvl.h \
 		Init.scm ../public_html/SCM.html Makefile
 
 configtemp/scm:	$(confiles)
 	-$(RM_R) configtemp/scm
-	-mkdir configtemp
-	mkdir configtemp/scm
-	ln $(confiles) configtemp/scm
-confdist:	scmconfig.tar.gz
-scmconfig.tar.gz:	configtemp/scm
-	cd configtemp; tar cohf ../scmconfig.tar scm
-	chmod 664 scmconfig.tar
-	-rm -f scmconfig.tar.*z
-	gzip scmconfig.tar
-	chmod 664 scmconfig.tar.*z
-
-lint:	lints
-lints:	$(cfiles) $(hfiles)
-	lint $(CPPFLAGS) $(ALL_CFLAGS) $(cfiles) | tee lints
-#	lint $(CPPFLAGS) $(ALL_CFLAGS) $(cfiles) | tee lintes
-
-#seds to help find names not unique in first 8 characters (name8s)
-# for BSD nm format
-SED_TO_STRIP_NM=sed -e '/.*\.o$$/d' -e 's/.* _//' -e 's/.* T //'
-#old, bad for T [^_] on suns: SED_TO_STRIP_NM=sed -e '/.*\.o$$/d' -e 's/.* _//'
-# For a System V nm where plain C identifiers have _ prepended:
-#SED_TO_STRIP_NM=sed -e '/^_[A-Za-z][A-za-z0-9_]*[ 	|].*|extern|!d' -e 's/|/ /g' -e 's/^_//'
-# For a System V nm where plain C identifiers have nothing prepended:
-#SED_TO_STRIP_NM=sed -e '/^[A-Za-z][A-za-z0-9_]*[ 	|].*|extern|!d' -e 's/|/ /g'
-
-name8:	name8s
-name8s:	scm
-	nm scm |\
-	$(SED_TO_STRIP_NM) |\
-	sort -u|\
-	awk '{	if (substr(l,1,8)==substr($$1,1,8)) {\
-			if (p) print l;\
-			print $$1;p=0;stat=1\
-		}else p=1;\
-		l=$$1\
-	     }END{exit stat}' -
-ctags:	$(hfiles) $(cfiles)

## scm 5c3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
+# Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -38,7 +38,7 @@
 # whether to permit this exception to apply to your modifications.
 # If you do not wish that, delete this exception notice.  
 
-# "Makefile" for scm5b3 Scheme Interpreter
+# "Makefile" for scm5c3 Scheme Interpreter
 # Author: Aubrey Jaffer
 
 SHELL = /bin/sh
@@ -47,17 +47,17 @@
 #LIBS =
 LD = $(CC) -g
 
-# directory where COPYING and Init.scm reside.
+# directory where COPYING and Init5c3.scm reside.
 #IMPLPATH = /usr/local/src/scm/
 #this one is good for bootstrapping
 IMPLPATH = `pwd`/
-# Pathname where Init.scm resides.
-IMPLINIT = $(IMPLPATH)Init.scm
+# Pathname where Init5c3.scm resides.
+IMPLINIT = $(IMPLPATH)Init5c3.scm
 DFLAG = -DIMPLINIT=\"$(IMPLINIT)\"
 
-# If pathname where Init.scm resides is not known in advance then
+# If pathname where Init5c3.scm resides is not known in advance then
 # SCM_INIT_PATH is the environment variable whose value is the
-# pathname where Init.scm resides.
+# pathname where Init5c3.scm resides.
 
 intro:
 	@echo
@@ -81,7 +81,7 @@
 	@echo
 	@echo "  Once you have built scmlit successfully, test it:"
 	@echo "      make checklit"
-	@echo "  If this reports no errors, use scmlit to build.scm"
+	@echo "  If this reports no errors, use scmlit to build"
 	@echo "  fancier versions of scm, with optional features."
 
 cfiles = scm.c time.c repl.c ioext.c scl.c sys.c eval.c subr.c sc2.c \
@@ -91,11 +91,14 @@
 ofiles = time.o repl.o scl.o sys.o eval.o subr.o unif.o rope.o \
 	continue.o findexec.o script.o
 # ramap.o
-ifiles = Init.scm Transcen.scm Link.scm Macro.scm
-
-all:	scmlit
+ifiles = Init5c3.scm Transcen.scm Link.scm Macro.scm
+
+all:
+	make mydlls
+	make myscm
 scmlit:	$(ofiles) scm.o
 	$(LD) -o scmlit $(ofiles) scm.o $(LIBS)
+	make checklit
 scm.o:	scm.c scm.h scmfig.h patchlvl.h scmflags.h
 	$(CC) $(CFLAGS) -c $(DFLAG) scm.c
 scmflags.h:	scmflags
@@ -122,49 +125,51 @@
 
 srcdir=$(HOME)/scm/
 
-udscm4:	$(cfiles) build.scm
-	$(srcdir)build.scm -hsystem -o udscm4 -Fcautious \
+udscm4:	$(cfiles) $(hfiles) build.scm build
+	$(srcdir)build -hsystem -o udscm4 -Fcautious \
 	bignums arrays inexact engineering-notation dump dynamic-linking
 
-udscm5:	$(cfiles) build.scm
-	$(srcdir)build.scm -hsystem -o udscm5 -Fcautious \
+udscm5:	$(cfiles) $(hfiles) build.scm build
+	$(srcdir)build -hsystem -o udscm5 -Fcautious \
 	bignums arrays inexact engineering-notation dump dynamic-linking \
-	macro
+	macro #-DNO_SYM_GC
 
 myscm4:	udscm4 $(ifiles)
 	-rm slibcat implcat
 	-mv scm scm~
-	./udscm4 -o scm
+	echo "(quit)" | ./udscm4 -no-init-file -o scm
 
 myscm:	udscm5 $(ifiles)
 	-rm slibcat implcat
 	-mv scm scm~
-	./udscm5 -r5 -o scm
+	echo "(quit)" | ./udscm5 -no-init-file -r5 -o scm
+	make check
 
 mylib:
-	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
+	$(srcdir)build -hsystem -Fcautious bignums arrays inexact \
 	engineering-notation dump dynamic-linking -tlib
 pgscm:
-	$(srcdir)build.scm -hsystem -Fcautious bignums arrays inexact \
+	$(srcdir)build -hsystem -Fcautious bignums arrays inexact \
 	engineering-notation dump dynamic-linking -o udscm \
 	 --compiler-options=-pg --linker-options=-pg
-	./udscm -o pgscm
+	echo "(quit)" | ./udscm -no-init-file -o pgscm
 mydebug:
-	$(srcdir)build.scm -hsystem -ogdbscm -F cautious \
+	$(srcdir)build -hsystem -oudgdbscm -F cautious \
 	 bignums arrays inexact engineering-notation dump dynamic-linking \
 	 macro \
 	 debug --compiler-options=-Wall --linker-options=-Wall #-DTEST_FARLOC
+	echo "(quit)" | ./udgdbscm -no-init-file -r5 -o gdbscm
 mydlls:
-	$(srcdir)build.scm -h system -t dll -c sc2.c rgx.c crs.c edline.c \
+	$(srcdir)build -h system -t dll -c sc2.c rgx.c crs.c edline.c \
 		record.c gsubr.c ioext.c posix.c unix.c socket.c \
 		ramap.c
 myturtle:
-	$(srcdir)build.scm -h system -F turtlegr -t dll
+	$(srcdir)build -h system -F turtlegr -t dll
 
 implcat:	*.so mkimpcat.scm
 	./scmlit -lmkimpcat.scm
 
-checklit:	r4rstest.scm
+checklit:
 	./scmlit -fr4rstest.scm -e'(test-sc4)(test-cont)(test-delay)(gc)'
 check:	r4rstest.scm
 	./scm -fr4rstest.scm -e'(test-sc4)(test-cont)(test-delay)(gc)'
@@ -199,11 +204,11 @@
 dvidir=../dvi/
 dvi:	$(dvidir)scm.dvi
 $(dvidir)scm.dvi:	$(srcdir)scm.texi $(dvidir)scm.fn Makefile
-#	cd $(dvidir);texi2dvi $(srcdir)scm.texi
-	-(cd $(dvidir);export set TEXINPUTS=$(srcdir):$$TEXINPUTS;texindex scm.??)
-	cd $(dvidir);export set TEXINPUTS=$(srcdir):$$TEXINPUTS;tex $(srcdir)scm.texi
+#	cd $(dvidir);export TEXINPUTS=$(srcdir):;texi2dvi $(srcdir)scm.texi
+	-(cd $(dvidir);export TEXINPUTS=$(srcdir):;texindex scm.??)
+	cd $(dvidir);export TEXINPUTS=$(srcdir):;tex $(srcdir)scm.texi
 $(dvidir)scm.fn:
-	cd $(dvidir);tex $(srcdir)scm.texi
+	cd $(dvidir);export TEXINPUTS=$(srcdir):;tex $(srcdir)scm.texi
 xdvi:	$(dvidir)scm.dvi
 	xdvi -s 6 $(dvidir)scm.dvi
 htmldir=../public_html/
@@ -226,6 +231,7 @@
 info:	$(infodir)/scm.info
 $(infodir)/scm.info:	scm.texi
 	makeinfo scm.texi -o $(infodir)/scm.info
+	install-info $(infodir)/scm.info $(infodir)/dir
 	-rm $(infodir)/scm.info*.gz
 
 infoz:	$(infodir)/scm.info.gz
@@ -236,13 +242,11 @@
 	test -d $(bindir) || mkdir $(bindir)
 	test -d $(man1dir) || mkdir $(man1dir)
 	-cp scm $(bindir)
-	-strip $(bindir)scm
+#	-strip $(bindir)scm
 	-cp scm.1 $(man1dir)
 	test -d $(IMPLPATH) || mkdir $(IMPLPATH)
-	-cp Init.scm $(IMPLPATH)
-	-cp Link.scm $(IMPLPATH)
-	-cp Transcen.scm $(IMPLPATH)
-	-cp COPYING $(IMPLPATH)
+	-cp Init5c3.scm Link.scm Transcen.scm Macro.scm COPYING $(IMPLPATH)
+	-cp mkimpcat.scm Iedline.scm *.sl *.so $(IMPLPATH)
 
 installlib:
 	test -d $(includedir) || mkdir $(includedir)
@@ -257,7 +261,7 @@
 	-rm $(includedir)scm.h
 	-rm $(includedir)scmfig.h
 	-rm $(libdir)libscm.a
-#	-rm $(IMPLPATH)Init.scm
+#	-rm $(IMPLPATH)Init5c3.scm
 #	-rm $(IMPLPATH)Link.scm
 #	-rm $(IMPLPATH)Transcen.scm
 #	-rm $(IMPLPATH)COPYING
@@ -267,7 +271,7 @@
 
 #### Stuff for maintaining SCM below ####
 
-VERSION = 5b3
+include patchlvl.h
 ver = $(VERSION)
 RM_R = rm -rf
 ufiles = pre-crt0.c ecrt0.c gmalloc.c unexec.c unexelf.c unexhp9k800.c \
@@ -285,7 +289,7 @@
 tfiles = r4rstest.scm example.scm pi.scm pi.c split.scm bench.scm
 dfiles = ANNOUNCE README COPYING scm.1 scm.doc QUICKREF \
 	scm.texi ChangeLog 
-mfiles = Makefile build.scm build.bat .gdbinit mkimpcat.scm
+mfiles = Makefile build.scm build build.bat .gdbinit mkimpcat.scm disarm.scm
 vfiles = setjump.mar setjump.s
 afiles = $(dfiles) $(cfiles) $(hfiles) $(ifiles) $(tfiles) $(mfiles) \
 	$(vfiles) $(ufiles)
@@ -299,9 +303,17 @@
 	mkdir temp/scm
 	ln $(afiles) temp/scm
 
+release:	dist
+	rsync -v $(htmldir)SCM.html martigny.ai.mit.edu:public_html/
+	rsync -v $(dest)README $(dest)scm$(VERSION).tar.gz martigny.ai.mit.edu:dist/
+	upload $(dest)README $(dest)scm$(VERSION).tar.gz prep.ai.mit.edu:gnu/jacal/
+upzip:	$(HOME)/pub/scm.zip
+	rsync -v $(HOME)/pub/scm.zip martigny.ai.mit.edu:pub/
+
 dist:	$(dest)scm$(VERSION).tar.gz
 $(dest)scm$(VERSION).tar.gz:	temp/scm
 	$(makedev) DEST=$(dest) PROD=scm ver=$(VERSION) tar.gz
+	cvs tag -F scm$(VERSION)
 shar:	scm.shar
 scm.shar:	temp/scm
 	$(makedev) PROD=scm shar
@@ -318,7 +330,8 @@
 	cd ..; zip -9ur $(dest)scm$(VERSION).zip \
 		scm/turtle scm/turtlegr.c scm/grtest.scm scm/require.scm
 	mv $(dest)scm$(VERSION).zip /c/scm/dist/
-pubzip:	temp/scm
+pubzip:	$(HOME)/pub/scm.zip
+$(HOME)/pub/scm.zip:	temp/scm
 	$(makedev) DEST=$(HOME)/pub/ PROD=scm zip
 
 diffs:	pubdiffs
@@ -330,6 +343,7 @@
 
 HOBBITVERSION = 4d
 hobfiles = README.hob hobbit.doc hobbit.tms hobbit.scm scmhob.h
+#hobfiles = hobbit.doc COPYING Makefile.hob hobbit.scm scmhob.h scmhob.scm
 
 hobtemp/scm:	$(hobfiles)
 	-$(RM_R) hobtemp
@@ -344,24 +358,3 @@
 	mv $(dest)scm-hob$(HOBBITVERSION).tar.gz \
 		$(dest)hobbit$(HOBBITVERSION).tar.gz
 hobbit$(HOBBITVERSION).zip:	hobtemp/scm
-	$(makedev) TEMP=hobtemp/ name=hobbit$(HOBBITVERSION) PROD=scm zip
-
-new:
-	echo `date` \ Aubrey Jaffer \ \<`whoami`@`hostname`\>> change
-	echo>> change
-	echo \	\* patchlvl.h \(SCMVERSION\): Bumped from $(VERSION) to $(ver).>>change
-	echo>> change
-	cat ChangeLog >> change
-	mv -f change ChangeLog
-	$(CHPAT) scm$(VERSION) scm$(ver) ANNOUNCE ../jacal/ANNOUNCE \
-		../wb/README ../wb/ANNOUNCE \
-		../public_html/README.html ../dist/README \
-		../public_html/SLIB.html ../public_html/JACAL.html \
-		../public_html/SCM.html ../public_html/Hobbit.html \
-		/c/scm/dist/install.bat /c/scm/dist/makefile \
-		/c/scm/dist/mkdisk.bat README
-	$(CHPAT) $(VERSION) $(ver) scm.texi patchlvl.h \
-		Init.scm ../public_html/SCM.html Makefile
-
-configtemp/scm:	$(confiles)
-	-$(RM_R) configtemp/scm
